Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Class CoordinateGraph

    java.lang.Object
      org.ascape.model.space.Coordinate
          org.ascape.model.space.CoordinateGraph

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class CoordinateGraph

extends Coordinate

The Class CoordinateGraph.

See Also:
  Serialized Form

Constructor Summary
`CoordinateGraph(Location location)` Instantiates a new coordinate graph.

Method Summary
`Coordinate` | `add(Coordinate coordinate)` Adds the location of the supplied coordinate to this coordinate, returning the resulting coordinate.
`boolean` | `equals(java.lang.Object o)`
`double` | `getDistance(Coordinate coordinate)` Returns the distance between this coordinate and the supplied coordinate.
`Location` | `getLocation()` Gets the location.
`int` | `hashCode()`
`void` | `setLocation(Location location)` Sets the location.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoordinateGraph

    public CoordinateGraph(Location location)

  Instantiates a new coordinate graph.

  Parameters:
    `location` - the location

Method Detail

### add

    public Coordinate add(Coordinate coordinate)

  Description copied from class: `Coordinate`
  Adds the location of the supplied coordinate to this coordinate, returning the resulting coordinate.

  Specified by:
    `add` in class `Coordinate`
  Parameters:
    `coordinate` - the coordinate to sum with this one
  Returns:
    the coordinate

### getDistance

    public double getDistance(Coordinate coordinate)

  Description copied from class: `Coordinate`
  Returns the distance between this coordinate and the supplied coordinate.

  Specified by:
    `getDistance` in class `Coordinate`
  Parameters:
    `coordinate` - the coordiante to measure distance to

### getLocation

    public Location getLocation()

  Gets the location.

  Returns:
    the location

### setLocation

    public void setLocation(Location location)

  Sets the location.

  Parameters:
    `location` - the new location

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD